CREATE TABLE Client_Benef(
            CBF_TaxIdentifier varchar(20) NOT NULL,
            CBF_BenefTaxID varchar(20) NOT Null,
            CBF_BenefLastName varchar(20) NOT NULL,
            CBF_BenefFirstMid varchar(30) NOT Null,
            CBF_BenefDateOfBirth datetime Null,
            CBF_BenefPercentage real Null,
            CBF_BenefRelationship varchar(20) Null,
	    CBF_BenefNote varchar(100) Null,		
	    CBF_TempRecord bit null default 0,
            CBF_IsFrozen bit null default 0,
            CONSTRAINT PK_Client_Benef PRIMARY KEY CLUSTERED (CBF_TaxIdentifier, CBF_BenefTaxID)
);

ALTER TABLE [dbo].[Client_Benef] ADD 
	CONSTRAINT [FK_Client_Benef_Client_Details] FOREIGN KEY 
	(
		[CBF_TaxIdentifier]
	) REFERENCES [dbo].[Client_Details] (
		[CDT_TaxIdentifier]
	) ON DELETE CASCADE  ON UPDATE CASCADE
